Subject: Re: bug#15071: 24.3.50; desktop-read: frameset-states accessing a non-frameset

From: Juanma Barranquero <[email-masked]>
Date: Sun, 11 Aug 2013 19:03:08 +0200

On Sun, Aug 11, 2013 at 6:42 PM, Jan Djärv <[email-masked]> wrote:

> Same message.
>
> Attaching that .emacs.desktop.

Glad to hear that it works now. Yes, unfortunately bootstrap is
required quite often.

> What is an "invalid value"?  Something not supported by your system?  I would not call that invalid, it is perfectly valid, you just can't use it.

Let's not discuss semantics. I mean values that I cannot restore in my system.

> Or if it indeed is invalid, that is a bug in desktop, it is saved by desktop.

framesets are not specifically designed to be saved in one system and
restored in another, very different, one. It will work, with some
fixes, but it is currently unsupported by lack of testing. Yours is
only the second bug report I get ;-)  Specifically, the font parameter
will have to be filtered out when you restore in another system,
though it is not obvious how to do so without filtering also in the
original system (which you wouldn't want to do, because you could have
a non-default value that you want to keep); it's not a technical, but
UI issue. As for border-width, that's a combination of an Emacs
shortcoming and a bug. I'll work on fix it.

> Sorry for the noice.

On the contrary, you brought the issues mentioned above, and I'm very
grateful for that.

   J